kbibtex (0.10.0-2ubuntu1) plucky; urgency=medium

  * Build with -std=gnu++17.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2025 07:54:57 +0100

kbibtex (0.10.0-2build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 20:01:45 +0100

kbibtex (0.10.0-2) unstable; urgency=medium

  * Drop the spurious RUNPATH to /usr/ in libraries and executables
    - add the chrpath build dependency
  * Update copyright.
  * Update lintian overrides.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 09:47:53 +0200

kbibtex (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Switch watch file to the stable releases, now that 0.10.0 is released.
  * Update standards version to 4.6.2, no changes needed.
  * Update the patches:
    - 0001-Fix-crash-with-newer-Qt-versions.patch: drop, backported from
      upstream
    - 0001-Fixing-crash-when-opening-.bib-file.patch: drop, backported from
      upstream
  * Drop the qtwebengine5-dev on mipsel, as that architecture was recently
    dropped.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Sep 2023 07:12:17 +0200

kbibtex (0.9.90-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fixes for crashes with newer Qt versions.
    (Closes: #1018922)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Feb 2023 18:22:51 +0200

kbibtex (0.9.90-1) unstable; urgency=medium

  * New upstream release:
    - since we use the release tarballs now, the translations are available
      (Closes: #911523)
  * Add myself to Uploaders.
  * Update the patches:
    - upstream_cmake-use-the-right-variable-for-man-page-install-de.patch:
      drop, backported from upstream
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jan 2021 01:04:01 +0100

kbibtex (0.9.81-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Follow a hint of Rik Mills and rather Build-Depend: qtwebengine5-dev

  [ Pino Toscano ]
  * Switch watch file to track the official tarballs, rather than random tags
    on the GitHub mirror.
  * Drop our own debian/missing-sources/COPYING-CMAKE-SCRIPTS and the reference
    to it in debian/copyright, as this file is no more referenced by upstream
    sources.
  * Stop rebuilding the application icon: upstream ships already proper icons,
    and more sized can be asked to be shipped in case they are needed
    - drop the imagemagick, inkscape, and librsvg2-bin build dependencies,
      no more needed now
  * Drop all the manual handling of build flags, as everything is properly
    handled already since debhelper compatibility 9.
  * Drop all the development files, i.e. cmake config files and headers, in
    addition to .so symlinks.
  * Install the missing files.
  * Unregister the old /etc/xdg/kbibtexrc conffile.
  * Stop passing --list-missing to dh_missing, as everything is installed now.
  * Drop the 'run' autopkgtest:
    - never passed (at least in the last 3 years)
    - too fragile to maintain
    - it does not test anything much of use
  * Reference the actual upstream Git repository in debian/upstream/metadata.
  * Use the kf5 dh addon, so common bits for KF5-based applications (e.g. not
    compressing the DocBook documentation) are applied.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the wrong Multi-Arch: foreign field from kbibtex, as it is hardly a
    "tool" for other architectures.
  * Update and simplify the lintian overrides.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7.2
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.51.0
    - explicitly add gettext, libicu-dev, pkg-config, and shared-mime-info
    - remove the unused/unneeded qtbase5-dev-tools, libkf5itemviews-dev,
      libkf5completion-dev, libqca-qt5-2-dev, and libxslt1-dev
  * The unit tests still fail, so disable their build by passing
    -DBUILD_TESTING=OFF to cmake.
  * Do not export DH_VERBOSE=1, as there is no need to get a really verbose
    build log by default.
  * Restrict the qtwebengine5-dev build dependency to the architectures where
    it is present, using libqt5webkit5-dev on any other architecture.
  * Backport upstream commit 40d3149cfaf5c3b1f3b1110617d291eb332d76f3 to fix
    the installation of the man page; patch
    upstream_cmake-use-the-right-variable-for-man-page-install-de.patch
    - update debian/kbibtex-data.install
    - drop debian/kbibtex-data.manpages, no more needed now

 -- Pino Toscano <pino@debian.org>  Tue, 15 Dec 2020 18:22:08 +0100

kbibtex (0.9.81-1) unstable; urgency=medium

  [ Bastien Roucariès ]
  * New upstream version
  * Bug fix: "build-depends on deprecated Frameworks -dev packages",
    thanks to Pino Toscano (Closes: #885388).
  * Bug fix: "Allow reference to be imported from worldcat", thanks to
    Bastien ROUCARIES (Closes: #507987).
  * Bug fix: "Include international reference libraries as search
    engines", thanks to Axel Stammler (Closes: #776750).
  * Bug fix: "FTBFS with clang instead of gcc", thanks to Alexander
    (Closes: #753270).

  [ Andreas Tille ]
  * d/watch: drop unneeded uupdate since it spoils routine-update
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Build-Depends: libkf5texteditor-dev, libqt5webenginewidgets5,
    libqt5networkauth5-dev
  * There is no /etc dir any more
  * Fix installation of manpage

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 10:36:16 +0100

kbibtex (0.8.1-1) unstable; urgency=medium

  * New upstream version based on KDE Frameworks
    5", thanks to Pierre Haessig (Closes: #907030).
  * Bug fix: "kbibtex FTBFS: delegate-failed rsvg-convert", thanks to
    Helmut Grohne (Closes: #893538).
  * Bug fix: "[kbibtex] kbibtex icon is not correctly converted", thanks
    to Antonio Russo (Closes: #894653).
  * Bug fix: "project homepage changed gna.org -> kde.org", thanks to
    Pierre Haessig (Closes: #901856).
  * Bug fix: "kbibtex FTBFS: delegate-failed rsvg-convert", thanks to
    Helmut Grohne (Closes: #893538).

 -- Bastien Roucariès <rouca@debian.org>  Fri, 19 Oct 2018 17:16:30 +0200

kbibtex (0.8~20170819git31a77b27e8e83836e-3) unstable; urgency=high

  * Fix autopkgtest

 -- Bastien Roucariès <rouca@debian.org>  Tue, 19 Sep 2017 15:16:34 +0200

kbibtex (0.8~20170819git31a77b27e8e83836e-2) unstable; urgency=high

  * Add autopkgtest
  * Bug fix: "fails to upgrade from testing - trying to
    overwrite /usr/share/icons/hicolor/128x128/apps/kbibtex.png", thanks
    to Andreas Beckmann (Closes: #875812).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 18 Sep 2017 10:30:46 +0200

kbibtex (0.8~20170819git31a77b27e8e83836e-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "new upstream release available", thanks to Gerrit Kruse
    (Closes: #742974).
  * Bug fix: "[kbibtex] Qt4&#39;s WebKit removal", thanks to Ana Guerrero
    Lopez (Closes: #784475).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 28 Aug 2017 16:12:42 +0200

kbibtex (0.6+git7fdc0cd97c093f-1) UNRELEASED; urgency=medium

  * New upstream release from git (Closes: #742974).
  * Use Qt5 (Closes: #784475).
  * Bug fix: "fails to get any entry from a valid .bib file (works with
    0.2.3.90-1)", thanks to yoh@onerussian.com (Closes: #689310).
  * Upload to experimental due to using internal embedded
    qoauth and libqxt (part) not yet compiled for qt5.
  * Move arch all data to kbibtex-data.
  * Bump policy and upgrade debian package.

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sat, 02 Jan 2016 19:16:36 +0100

kbibtex (0.4-4) unstable; urgency=low

  * Fix dataloss affecting doi fields more then one slash, thanks to
  David Wagner (Closes: #694782).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 04 Dec 2012 13:32:20 +0100

kbibtex (0.4-3) unstable; urgency=low

  * Adopt kbibtex (Closes: #654750)
  * Bug fix: "New kbibtex destroys localfile information" (Closes: #644024).
  * Bug fix: "Spelling error in control file (ressources >> resources) in
  control file, thanks to Clayton Casciato (Closes: #687353).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 05 Nov 2012 11:46:07 +0100

kbibtex (0.4-2) unstable; urgency=low

  * Add patch to fix FTBFS with GCC 4.7 -- mising include (Closes: #664924).
    Courtesy of Sebastian Ramacher.

 -- Michael Hanke <mih@debian.org>  Sun, 13 May 2012 20:15:17 +0200

kbibtex (0.4-1) unstable; urgency=low

  * New upstream release.
  * Add patch to disable -Wcast-align flag to prevent a (presumably)
    false-positive warning to cause a FTBFS (Closes: #647030).
  * Adjust debian/copyright to include a standalone paragraph for the GPL-2.
  * Added patch to allow compiling with latest GCC (missing header includes).

 -- Michael Hanke <mih@debian.org>  Thu, 15 Dec 2011 03:43:34 +0100

kbibtex (0.4~beta1-1) unstable; urgency=low

  * New upstream release (Closes: #643751). Most search engines from the 0.2
    series are back. Does not modify 'localfile' fields in BibTeX entries
    anymore (Closes: #644024).
  * Adjust watch file for 0.4 series.
  * Update debian/copyright and migrate to DEP5-compliant format.
  * Added rudimentary git-buildpackage configuration.
  * Add patch that removes an unnecessary xdg-open interpreter shebang from
    kbibtex.desktop.

 -- Michael Hanke <mih@debian.org>  Sun, 02 Oct 2011 09:14:19 +0200

kbibtex (0.3-1) unstable; urgency=low

  * First upstream release for KDE4 (Closes: #634255). A number of search
    engines are still missing, in comparison to the 0.2 series.
  * Bumped Standards-Version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Jul 2011 09:29:48 -0400

kbibtex (0.3~beta1+svn561-1) experimental; urgency=low

  * New upstream code for KDE4/Qt4 port (Closes: #604279).

 -- Michael Hanke <mih@debian.org>  Sun, 13 Mar 2011 21:23:22 -0400

kbibtex (0.2.3.90-1) unstable; urgency=low

  * New upstream release (Closes: #563684).
  * Switch to source package version 3.0 (quilt).
  * Bumped Standards-Version to 3.9.0, no changes necessary.
  * Link against libyaz to enable Z39.50 support (Closes: #550547).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 12:02:48 -0400

kbibtex (0.2.3-1) unstable; urgency=low

  * New upstream version. New Google Scholar search engine.
  * Bumped Standards-Version to 3.8.3.0 No changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 23 Aug 2009 19:18:34 -0400

kbibtex (0.2.2-1) unstable; urgency=low

  * New upstream version (Closes: #487301, #507837, #518959, #520392).
  * Bumped Standards-Version to 3.8.1. No changes necessary.
  * Added 'DM-Upload-Allowed: yes'.
  * Added missing '${misc:Depends}'.
  * Support for per-file encoding settings (Closes: #514356)
  * Upgrade debhelper compatibility to version 5.
  * Update debian/copyright for 2009 release.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 15 Jun 2009 12:41:19 +0200

kbibtex (0.2.1-1) unstable; urgency=low

  * New Upstream Version.
  * Bumped Standards-version to 3.7.3 (no changes necessary).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 17 Mar 2008 21:58:16 +0100

kbibtex (0.2-2) unstable; urgency=low

  * Link binary with --as-needed to dramatically reduce the number of package
    dependencies.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 27 Nov 2007 09:48:11 +0100

kbibtex (0.2-1) unstable; urgency=low

  * New Upstream Version
  * Moved homepage link to new Homepage filed in debian/control.
  * Added VCS information to debian/control.
  * KBibTeX now notices when a file was modified outside and asks whether
    it should reload that file (Closes: #427983).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 28 Oct 2007 10:21:01 +0100

kbibtex (0.1.5.55-1) unstable; urgency=low

  * New upstream release. Merged patches with upstream.
  * Packaging is now maintained in a GIT repository. Removing obsolete dpatch
    build-dependency.
  * Merge functionality was added (Closes: #434746).
  * Support for exporting to Reference Manager RIS format was added.
  * Updated menu file for the new menu policy.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 21 Sep 2007 14:16:18 +0200

kbibtex (0.1.5-5) unstable; urgency=low

  * Added latex2rtf as suggested package, because it is required for export
    into the RTF format.
  * Improved package description. Thanks to Yaroslav Halchenko for pointing
    to this issue.
  * Added patch to fix broken XSLT export.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 17 Mar 2007 08:35:37 +0100

kbibtex (0.1.5-4) unstable; urgency=low

  * Modified package dependencies to be compatible with texlive.
  * Switch from tetex-bin suggestion to tetex-extra to have url.sty available
    for exporting via latex.
  * Added recommendation of texlive-bibtex-extra for additional citation
    styles.
  * Added patches to fix empty search results when doing multiple pubmed
    queries and a bug when storing search URLs. Thanks Thomas Fischer.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  2 Mar 2007 20:11:34 +0100

kbibtex (0.1.5-3) unstable; urgency=low

  * Included upstream patch that fixes the display of accented characters
    (Closes: #400065).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 25 Nov 2006 19:11:01 +0100

kbibtex (0.1.5-2) unstable; urgency=low

  * Fix FTBFS due to an invalid pure specifier. Thanks to Matthias Klose and
    Martin Michlmayr. (Closes: #395378, #394143)

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 26 Oct 2006 21:50:18 +0200

kbibtex (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat,  7 Oct 2006 08:37:00 +0200

kbibtex (0.1.4.85-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  6 Oct 2006 07:09:06 +0200

kbibtex (0.1.4.81-1) unstable; urgency=low

  * New upstream release-candiate.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu,  5 Oct 2006 10:15:59 +0200

kbibtex (0.1.4.80-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed,  4 Oct 2006 09:36:33 +0200

kbibtex (0.1.4-2) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2 (no changes necessary).
  * Added missing debian/compat file to note debhelper v4 compatibility.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 19 Jul 2006 12:10:55 +0200

kbibtex (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 26 Apr 2006 15:59:31 +0200

kbibtex (0.1.3.95-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 22 Feb 2006 21:06:12 +0100

kbibtex (0.1.3-2) unstable; urgency=low

  * Initial Release. (Closes: #328106)

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 17 Dec 2005 21:57:40 +0100
